package es.pulsoft.dao;

import java.util.List;

import es.pulsoft.controlador.entity.Estudiante;

public interface EstudianteDao {

	void insertarEstudiante(Estudiante estudiante);

	List<Estudiante> listarEstudiantes();

	Estudiante obtenerEstudiante(int id);

	void borrarEstudiante(int id);

	List<Estudiante> buscar(String valor);

	List<Estudiante> buscarEdad(int valorMinimo, int valorMaximo);

}
